#!/bin/tcsh
#PBS -N 011a1.5
#PBS -l nodes=65:ppn=8
#PBS -q default
#PBS -V
#PBS -m e
#PBS -W x="PARTITION:sw121"
#PBS -M xukaishen@gmail.com
#PBS -e /net/server/xukai/huo/xukai1/report/12Spring/VTI_inversion/test011newa1.5.err
#PBS -o /net/server/xukai/huo/xukai1/report/12Spring/VTI_inversion/test011newa1.5.out
#
cd $PBS_O_WORKDIR
#

set DATDIR=/net/server/xukai/huo/xukai1/report/12Spring/VTI_inversion
set datapath=/net/server/xukai/huo/xukai1/report/12Spring/VTI_inversion
set CBIN=./Bin/c

cat ${PBS_NODEFILE} | sort | uniq > hostfile011newa15
set NPROCS=`wc -l hostfile011newa15 | gawk '//{print $1}'`
echo ${NPROCS}
set OMP_NUM_THREADS=8
#mpirun -machinefile ./hostfile2 -np ${NPROCS} ./test_mpi.x

set str=011newa15

date

mpirun -machinefile ./hostfile011newa15 -np ${NPROCS} ${CBIN}/XC2dWIMPIMain.x <tmprcd1.H nxtape=40 nztape=40 vmin=600 vmax=4700 modout=${DATDIR}/newvel${str}.H resd=${DATDIR}/resd${str}.H vupd=${datapath}/vup${str}.H newsrc=${DATDIR}/newsrc${str}.H needspline=0 niter=80 needprecond=1 dxspline=15 dzspline=15 mod=mod0.H jrdful=9 jtmv=2 objtype=0 src=tmpsrc1.H thresd=0.0004 jnoderdful=1 rndbnd_type=0 j_rndbnd=5 alpha_mean=-0.03 alpha_sigma=0.05 alpha_maxV=0.0 sigma=600 rdfulpath=${datapath}/rdful-${str}-inode- gradfulpath=${datapath}/gradful-${str}-inode- sdep=sdep1.H rdep=sdep1.H paramtype=1 dwht=dwht1.H

date
